Page MenuHomePhabricator

[Task] Remove code and behavior sharing by inheritance in EntityTest
Closed, ResolvedPublic

Description

"EntityTest and ItemTest are now the worst rated classes in DataModel."

https://github.com/wmde/WikibaseDataModel/issues/172

Related Objects

StatusAssignedTask
OpenNone
OpenNone
ResolvedBene
DeclinedBene
ResolvedBene
ResolvedBene
ResolvedBene
Resolved Addshore
OpenNone
ResolvedJanZerebecki
ResolvedJanZerebecki
OpenNone
InvalidNone
InvalidNone
Declined Addshore
Resolved Addshore
ResolvedLydia_Pintscher
Resolved Addshore
Resolvedaude
OpenNone
Resolveddaniel
InvalidNone
OpenNone
OpenNone
InvalidNone
InvalidNone
InvalidNone
InvalidNone
InvalidNone
DeclinedBene
ResolvedBene
OpenNone
OpenNone
Resolvedhoo
ResolvedTobi_WMDE_SW
Resolveddaniel
Resolveddaniel
Resolveddaniel
Resolveddaniel
Resolveddaniel
Resolveddaniel
Resolveddaniel
Resolvedaude
Resolveddaniel
Resolveddaniel
ResolvedBene
InvalidNone
InvalidNone
InvalidNone
Resolved Addshore
InvalidNone
InvalidNone
Resolveddaniel
Invaliddaniel
Resolveddaniel
Resolvedthiemowmde
DeclinedNone
OpenNone
Resolved Addshore
Resolved Addshore
ResolvedBene
ResolvedBene
ResolvedBene
Resolved Addshore
Resolveddaniel
ResolvedBene
DeclinedBene

Event Timeline

Lucie created this task.Dec 11 2014, 3:26 PM
Lucie raised the priority of this task from to Needs Triage.
Lucie updated the task description. (Show Details)
Lucie changed Security from none to None.
Lucie added a subscriber: Lucie.
thiemowmde renamed this task from Remove code and behaviour sharing by inheritance in EntityTest to [Task] Remove code and behavior sharing by inheritance in EntityTest.Sep 10 2015, 4:08 PM
thiemowmde triaged this task as Lowest priority.
thiemowmde added subscribers: JeroenDeDauw, Bene.
JanZerebecki moved this task from incoming to ready to go on the Wikidata board.Sep 10 2015, 9:51 PM
matej_suchanek closed this task as Resolved.Dec 8 2017, 4:07 PM
matej_suchanek assigned this task to Bene.